Debian Bug report logs - #638941
Blank consoles when using virtualbox guest additions

version graph

Package: virtualbox-guest-dkms; Maintainer for virtualbox-guest-dkms is Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>; Source for virtualbox-guest-dkms is src:virtualbox.

Reported by: Paul Thomas <pw1517@gmail.com>

Date: Tue, 23 Aug 2011 07:51:01 UTC

Severity: normal

Found in version virtualbox/4.1.0-dfsg-2

Fixed in version virtualbox/4.1.6-dfsg-1

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#638941; Package virtualbox-guest-dkms. (Tue, 23 Aug 2011 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Thomas <pw1517@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Tue, 23 Aug 2011 07:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Thomas <pw1517@gmail.com>
To: submit@bugs.debian.org
Subject: Blank consoles when using virtualbox guest additions
Date: Tue, 23 Aug 2011 09:48:44 +0200
[Message part 1 (text/plain, inline)]
Package: virtualbox-guest-dkms
Version: 4.1.0-dfsg-2


Hello,

I am using debian testing as guest in a virtualbox virtual machine, hosted
on a windows 7 host (virtualbox version 4.1.2).

I am using a higher resolution for the consoles, passing the argument
GRUB_GFXPAYLOAD_LINUX=1024x768, in /etc/default/grub.

The issue I have is that, at the point where the kernel module vboxvideo is
loaded (as a component of the virtualbox X11 driver), the consoles are
blanked and no longer display messages. this can be checked by Ctrl+Fn
(1..6). Boot completes normally and if I switch to tty1 for extample, I can
blindly log in and execute commands.

The issue is always reproducible.

Further information:

- If I do NOT set a higher resolution (remove the GRUB_GFXPAYLOAD_LINUX
argument), everything is normal.

- If I use the iso-provided guest additions (4.1.2), I have the same issue.

- This did not happen with the previous guest additions version (4.0.10) and
returning to this version solves the issue.



I am using Debian GNU/Linux Wheezy, kernel 3.0.0-1 and libc6 2.13-16.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#638941; Package virtualbox-guest-dkms. (Fri, 26 Aug 2011 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Thomas <pw1517@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Fri, 26 Aug 2011 12:06:42 GMT) Full text and rfc822 format available.

Message #10 received at 638941@bugs.debian.org (full text, mbox):

From: Paul Thomas <pw1517@gmail.com>
To: 638941@bugs.debian.org
Subject: Re: Bug#638941: Acknowledgement (Blank consoles when using virtualbox guest additions)
Date: Fri, 26 Aug 2011 14:03:51 +0200
[Message part 1 (text/plain, inline)]
FYI, this bug has been independently reported upstream
http://www.virtualbox.org/ticket/9490
Thanks.
[Message part 2 (text/html, inline)]

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Thu, 17 Nov 2011 10:51:09 GMT) Full text and rfc822 format available.

Notification sent to Paul Thomas <pw1517@gmail.com>:
Bug acknowledged by developer. (Thu, 17 Nov 2011 10:51:13 GMT) Full text and rfc822 format available.

Message #15 received at 638941-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 638941-close@bugs.debian.org
Subject: Bug#638941: fixed in virtualbox 4.1.6-dfsg-1
Date: Thu, 17 Nov 2011 10:50:00 +0000
Source: virtualbox
Source-Version: 4.1.6-dfsg-1

We believe that the bug you reported is fixed in the latest version of
virtualbox, which is due to be installed in the Debian FTP archive:

virtualbox-dbg_4.1.6-dfsg-1_amd64.deb
  to main/v/virtualbox/virtualbox-dbg_4.1.6-dfsg-1_amd64.deb
virtualbox-dkms_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-dkms_4.1.6-dfsg-1_all.deb
virtualbox-fuse_4.1.6-dfsg-1_amd64.deb
  to main/v/virtualbox/virtualbox-fuse_4.1.6-dfsg-1_amd64.deb
virtualbox-guest-dkms_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-guest-dkms_4.1.6-dfsg-1_all.deb
virtualbox-guest-source_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-guest-source_4.1.6-dfsg-1_all.deb
virtualbox-guest-utils_4.1.6-dfsg-1_amd64.deb
  to main/v/virtualbox/virtualbox-guest-utils_4.1.6-dfsg-1_amd64.deb
virtualbox-guest-x11_4.1.6-dfsg-1_amd64.deb
  to main/v/virtualbox/virtualbox-guest-x11_4.1.6-dfsg-1_amd64.deb
virtualbox-ose-dbg_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-dbg_4.1.6-dfsg-1_all.deb
virtualbox-ose-dkms_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-dkms_4.1.6-dfsg-1_all.deb
virtualbox-ose-fuse_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-fuse_4.1.6-dfsg-1_all.deb
virtualbox-ose-guest-dkms_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-guest-dkms_4.1.6-dfsg-1_all.deb
virtualbox-ose-guest-source_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-guest-source_4.1.6-dfsg-1_all.deb
virtualbox-ose-guest-utils_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-guest-utils_4.1.6-dfsg-1_all.deb
virtualbox-ose-guest-x11_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-guest-x11_4.1.6-dfsg-1_all.deb
virtualbox-ose-qt_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-qt_4.1.6-dfsg-1_all.deb
virtualbox-ose-source_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose-source_4.1.6-dfsg-1_all.deb
virtualbox-ose_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-ose_4.1.6-dfsg-1_all.deb
virtualbox-qt_4.1.6-dfsg-1_amd64.deb
  to main/v/virtualbox/virtualbox-qt_4.1.6-dfsg-1_amd64.deb
virtualbox-source_4.1.6-dfsg-1_all.deb
  to main/v/virtualbox/virtualbox-source_4.1.6-dfsg-1_all.deb
virtualbox_4.1.6-dfsg-1.debian.tar.gz
  to main/v/virtualbox/virtualbox_4.1.6-dfsg-1.debian.tar.gz
virtualbox_4.1.6-dfsg-1.dsc
  to main/v/virtualbox/virtualbox_4.1.6-dfsg-1.dsc
virtualbox_4.1.6-dfsg-1_amd64.deb
  to main/v/virtualbox/virtualbox_4.1.6-dfsg-1_amd64.deb
virtualbox_4.1.6-dfsg.orig.tar.bz2
  to main/v/virtualbox/virtualbox_4.1.6-dfsg.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638941@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated virtualbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Nov 2011 12:37:22 +0100
Source: virtualbox
Binary: virtualbox-qt virtualbox virtualbox-dbg virtualbox-dkms virtualbox-source virtualbox-guest-dkms virtualbox-guest-source virtualbox-guest-x11 virtualbox-guest-utils virtualbox-fuse virtualbox-ose-qt virtualbox-ose virtualbox-ose-dbg virtualbox-ose-dkms virtualbox-ose-source virtualbox-ose-guest-dkms virtualbox-ose-guest-source virtualbox-ose-guest-x11 virtualbox-ose-guest-utils virtualbox-ose-fuse
Architecture: source amd64 all
Version: 4.1.6-dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 virtualbox - x86 virtualization solution - base binaries
 virtualbox-dbg - x86 virtualization solution - debugging symbols
 virtualbox-dkms - x86 virtualization solution - kernel module sources for dkms
 virtualbox-fuse - x86 virtualization solution - virtual filesystem
 virtualbox-guest-dkms - x86 virtualization solution - guest addition module source for dk
 virtualbox-guest-source - x86 virtualization solution - guest addition module source
 virtualbox-guest-utils - x86 virtualization solution - non-X11 guest utilities
 virtualbox-guest-x11 - x86 virtualization solution - X11 guest utilities
 virtualbox-ose - transitional package for virtualbox
 virtualbox-ose-dbg - transitional package for virtualbox-dbg
 virtualbox-ose-dkms - transitional package for virtualbox-dkms
 virtualbox-ose-fuse - transitional package for virtualbox-fuse
 virtualbox-ose-guest-dkms - transitional package for virtualbox-guest-dkms
 virtualbox-ose-guest-source - transitional package for virtualbox-guest-source
 virtualbox-ose-guest-utils - transitional package for virtualbox-guest-utils
 virtualbox-ose-guest-x11 - transitional package for virtualbox-guest-x11
 virtualbox-ose-qt - transitional package for virtualbox-qt
 virtualbox-ose-source - transitional package for virtualbox-source
 virtualbox-qt - x86 virtualization solution - Qt based user interface
 virtualbox-source - x86 virtualization solution - kernel module source
Closes: 638941
Changes: 
 virtualbox (4.1.6-dfsg-1) unstable; urgency=low
 .
   [ Felix Geyer ]
   * virtualbox-guest-x11: Drop xorg input driver from Provides and xorg input
     abi from Depends.
 .
   [ Michael Meskes ]
   * New upstream release.
     - Fixes graphical corruption when switching to a virtual terminal.
       (Closes: #638941)
Checksums-Sha1: 
 90367d68ef02499cf612e25e363de8ea48b8666d 3477 virtualbox_4.1.6-dfsg-1.dsc
 8cecfa47d30315abcad7a99c0abe79b39f7b0e00 38551201 virtualbox_4.1.6-dfsg.orig.tar.bz2
 348c33a6c260c6d271288047154028e947e10785 94471 virtualbox_4.1.6-dfsg-1.debian.tar.gz
 fef314f29a16b653c924e448a20555d75d62fc87 6391800 virtualbox-qt_4.1.6-dfsg-1_amd64.deb
 64940049b2e1cb3ec349495d91ebabda15cb66e2 15752870 virtualbox_4.1.6-dfsg-1_amd64.deb
 9cf1d7e40848e187e29f1e7786e2dc816db075b2 86521334 virtualbox-dbg_4.1.6-dfsg-1_amd64.deb
 27bff7990aa3fd3cbda495cace703a6fe7b5cf8c 682784 virtualbox-dkms_4.1.6-dfsg-1_all.deb
 457a3a5dd639774fea6cbbcfabb64169173db65d 578866 virtualbox-source_4.1.6-dfsg-1_all.deb
 9997205999c9b052b7b6cb705f641fd626b40916 602048 virtualbox-guest-dkms_4.1.6-dfsg-1_all.deb
 649c11738527666dc27185bee3363850dae91eb2 516514 virtualbox-guest-source_4.1.6-dfsg-1_all.deb
 4208403306a9c841e7e590d43697aa700ef10a8b 1610188 virtualbox-guest-x11_4.1.6-dfsg-1_amd64.deb
 1f6fc67c5ed3718270512cef605b264d782c6c60 594084 virtualbox-guest-utils_4.1.6-dfsg-1_amd64.deb
 d6dd02b53c4c17e5db713b6769e6b2777eddfc14 48672 virtualbox-fuse_4.1.6-dfsg-1_amd64.deb
 c7b1dc539046de9f5fcaf0ac21a682847535dd67 40122 virtualbox-ose-qt_4.1.6-dfsg-1_all.deb
 d60d4c3b940eeeb14d467a83ee2dd56e6dbde707 40114 virtualbox-ose_4.1.6-dfsg-1_all.deb
 6399a33a9b70124ef38009c3093e75ecc30cbd58 40128 virtualbox-ose-dbg_4.1.6-dfsg-1_all.deb
 ca57c9e22f1ddee6279802c7d5a37ae93c7add04 40126 virtualbox-ose-dkms_4.1.6-dfsg-1_all.deb
 4979a89ba952487055b8126220c046853acdcccf 40128 virtualbox-ose-source_4.1.6-dfsg-1_all.deb
 56a2457e2cae2b28d9515fe34bbb51d69e0e9658 40142 virtualbox-ose-guest-dkms_4.1.6-dfsg-1_all.deb
 f566773be0fb932aba99a5e37e1bf537d8e0530d 40142 virtualbox-ose-guest-source_4.1.6-dfsg-1_all.deb
 328e5f08f0e8d7d5a7b645a4217ce203e6821ea1 40140 virtualbox-ose-guest-x11_4.1.6-dfsg-1_all.deb
 d5165809db312e9b311a34b31fcf10ceee5324c1 40140 virtualbox-ose-guest-utils_4.1.6-dfsg-1_all.deb
 6c7eba0cecefcb8694a9926e390e7efabe43b8df 40128 virtualbox-ose-fuse_4.1.6-dfsg-1_all.deb
Checksums-Sha256: 
 355e6ab796bbb79b539dd635ea54083af433c9e374f2817f6222aa8574046feb 3477 virtualbox_4.1.6-dfsg-1.dsc
 d8b496d088cf7a1d358ad53bf06f27ebeb7da62677f011204452a91593bdd98b 38551201 virtualbox_4.1.6-dfsg.orig.tar.bz2
 a7ea9ec8fba38ade285461aa2cc984cf18b470cf899ecd1ff387dc4a70fd875d 94471 virtualbox_4.1.6-dfsg-1.debian.tar.gz
 4a13bb4e54a1cfcb77001f56623924eb4f9bffdf210c6b7ac57bcc03e8d09dbc 6391800 virtualbox-qt_4.1.6-dfsg-1_amd64.deb
 7aa47a4f4549961f4028c3d163e8cd5f9f74fb4e84a03abf22a742705373782b 15752870 virtualbox_4.1.6-dfsg-1_amd64.deb
 7f1cd20794c1723b722f78ddb89541c3e175c499b9f59f0c416f528130e51d73 86521334 virtualbox-dbg_4.1.6-dfsg-1_amd64.deb
 56ef5cfb4a5a9ea83a7e95b0626d3e88e3eaf8c8412fdd35722e057ef9bc65b3 682784 virtualbox-dkms_4.1.6-dfsg-1_all.deb
 cc9678e8b21e71302166f02d8ac6033605b1b224adcf4279881f1a4441669583 578866 virtualbox-source_4.1.6-dfsg-1_all.deb
 d7deaa377e7dca9b38c495ad830a813a4dbff4dbe6a71b238d723d26ab5ad5da 602048 virtualbox-guest-dkms_4.1.6-dfsg-1_all.deb
 c9591c33b120ae07d282570a7dd31912b4ce48767cc9575659ece12dbc056b06 516514 virtualbox-guest-source_4.1.6-dfsg-1_all.deb
 173d60801a116fb815605e6e3be6d32747f2abcdbb498aec911e7fde5bbb420c 1610188 virtualbox-guest-x11_4.1.6-dfsg-1_amd64.deb
 a65d0a6e9ef916607126871bb2754686fc16c758488a4ead00f57a7f13ce6b5f 594084 virtualbox-guest-utils_4.1.6-dfsg-1_amd64.deb
 923575334a1bd568549876952ac5a92ba4410aad1f9f048168e51b0236b3d320 48672 virtualbox-fuse_4.1.6-dfsg-1_amd64.deb
 1da58492ca807ca929dbe6da2f8dd6fc4f1e71e6bf844629ab4af676a84373cf 40122 virtualbox-ose-qt_4.1.6-dfsg-1_all.deb
 93e82c5b2701731614a1f230d6c7e30d8de3eed3cf133c8476cf9b00263bf59b 40114 virtualbox-ose_4.1.6-dfsg-1_all.deb
 639b2e7af89c71c6cebfac7356884ec32af5aadde4ba7b611e795ac7ab7d39b7 40128 virtualbox-ose-dbg_4.1.6-dfsg-1_all.deb
 e199a3d3b8c48067372fb52a7debdd7c9ade43922bd4fbe38569e4cbdd3e14ac 40126 virtualbox-ose-dkms_4.1.6-dfsg-1_all.deb
 320f21bfbd9a577b67aa7ab4de8ef9fc03b486f33d8ca60490da6afec8d4ce16 40128 virtualbox-ose-source_4.1.6-dfsg-1_all.deb
 6ab3de39adc07224cdb73e3306760ba741d4d66c570b3a41c165899dfe2b93e8 40142 virtualbox-ose-guest-dkms_4.1.6-dfsg-1_all.deb
 b560baec5184a53a82ae90c6c950c4bb8edce9f8554d3f2f9933ddc1a498a9e3 40142 virtualbox-ose-guest-source_4.1.6-dfsg-1_all.deb
 362cfa14423c4cccf2202492abcd6b9f631bfa4a57ee0de95de8cb9b28e47d4a 40140 virtualbox-ose-guest-x11_4.1.6-dfsg-1_all.deb
 ee4071b3bf9ab2a450149373e6aa07b8af3befee1b79e7899cccae9124f3a5a2 40140 virtualbox-ose-guest-utils_4.1.6-dfsg-1_all.deb
 c4acde8cf8f3c5d10d00d23b190af1bf07e85b69ad8a2d1e472347eca0edac2b 40128 virtualbox-ose-fuse_4.1.6-dfsg-1_all.deb
Files: 
 e97bb728943e442341df6baab2d241b0 3477 misc optional virtualbox_4.1.6-dfsg-1.dsc
 9e26b29986638306ed2f71fe85b6dd06 38551201 misc optional virtualbox_4.1.6-dfsg.orig.tar.bz2
 c61e2a8820c47c044d68e8448bb96c63 94471 misc optional virtualbox_4.1.6-dfsg-1.debian.tar.gz
 dd24c80f944b0cf9b88dc2fbc09c769c 6391800 misc optional virtualbox-qt_4.1.6-dfsg-1_amd64.deb
 c4de38ee8b306ce7668fbf518b149c2d 15752870 misc optional virtualbox_4.1.6-dfsg-1_amd64.deb
 d02a8dde051bbd727fe7448786370e02 86521334 debug extra virtualbox-dbg_4.1.6-dfsg-1_amd64.deb
 9a270c948b242a8961381e0e71a4854d 682784 kernel optional virtualbox-dkms_4.1.6-dfsg-1_all.deb
 589c85b90ed58c84fcd0f6fe50e63ea5 578866 kernel optional virtualbox-source_4.1.6-dfsg-1_all.deb
 b30bd4330e9d479e48f17128a237d06c 602048 kernel optional virtualbox-guest-dkms_4.1.6-dfsg-1_all.deb
 fd17363b71536d36cbed566e8795fbc2 516514 kernel optional virtualbox-guest-source_4.1.6-dfsg-1_all.deb
 af3f832b6d397ca9322246377b327497 1610188 x11 optional virtualbox-guest-x11_4.1.6-dfsg-1_amd64.deb
 225321cd7592d02f158642424d4a8644 594084 misc optional virtualbox-guest-utils_4.1.6-dfsg-1_amd64.deb
 ab15aa8706d49d6ed4d3ffaa07fe1e02 48672 misc optional virtualbox-fuse_4.1.6-dfsg-1_amd64.deb
 9a3b0862648d4f2be721feb13af36778 40122 misc optional virtualbox-ose-qt_4.1.6-dfsg-1_all.deb
 6ed1cf90eef9b6a777f634edd3f0c16f 40114 misc optional virtualbox-ose_4.1.6-dfsg-1_all.deb
 46285e0f30d32e33eba1d7057a2187ca 40128 debug extra virtualbox-ose-dbg_4.1.6-dfsg-1_all.deb
 bb4f38fc8155290c4000309c3dce5396 40126 kernel optional virtualbox-ose-dkms_4.1.6-dfsg-1_all.deb
 400b8ad350a8565be25c350095c518cd 40128 kernel optional virtualbox-ose-source_4.1.6-dfsg-1_all.deb
 3603ea6dbfbc383ee7f36e027b68eb77 40142 kernel optional virtualbox-ose-guest-dkms_4.1.6-dfsg-1_all.deb
 9dfbda50b0deac0d04ae3843814c7546 40142 kernel optional virtualbox-ose-guest-source_4.1.6-dfsg-1_all.deb
 b8561178de65c604b479b371ab819509 40140 x11 optional virtualbox-ose-guest-x11_4.1.6-dfsg-1_all.deb
 0757252afd135edba479b438d68fb7fd 40140 misc optional virtualbox-ose-guest-utils_4.1.6-dfsg-1_all.deb
 75a6e8bb0f4063c5a1352524e7f274b0 40128 misc optional virtualbox-ose-fuse_4.1.6-dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOxM/FVkEm8inxm9ERAsKyAJsGQShLBjAGA/mstYwsqzF8AXJNZgCfUmWp
uc6B/PPTddUGTMEpmO5FTyw=
=Voxe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Dec 2011 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:28:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.